Agora Java API Reference for Android

Public Member Functions | List of all members
io.agora.rtc2.video.ChannelMediaRelayConfiguration Class Reference

Configuration of cross channel media relay. More...

## Public Member Functions
| ChannelMediaRelayConfiguration ()
void | setSrcChannelInfo (ChannelMediaInfo srcInfo)
void | setDestChannelInfo (String channelName, ChannelMediaInfo destInfo)
void | removeDestChannelInfo (String channelName)
ChannelMediaInfo | getSrcChannelMediaInfo ()
Map< String, ChannelMediaInfo > | getDestChannelMediaInfos ()

## Detailed Description

Configuration of cross channel media relay.

## Constructor & Destructor Documentation

## ◆ ChannelMediaRelayConfiguration()

io.agora.rtc2.video.ChannelMediaRelayConfiguration.ChannelMediaRelayConfiguration | ( |  | ) |

The configuration of the channel media relay.

## Member Function Documentation

## ◆ setSrcChannelInfo()

void io.agora.rtc2.video.ChannelMediaRelayConfiguration.setSrcChannelInfo | ( | ChannelMediaInfo | srcInfo | ) |

Sets the information of the source channel.

Parameters

  srcInfo | The information of the source channel: ChannelMediaInfo. It contains the following members: `channelName`: The name of the source channel. The default value is NULL, which means the SDK applies the name of the current channel. `uid`: ID of the host whose media stream you want to relay. The default value is 0, which means the SDK generates a random UID. You must set it as 0. `token`: The token for joining the source channel. It is generated with the `channelName` and `uid` you set in `srcInfo`. If you have not enabled the App Certificate, set this parameter as the default value NULL, which means the SDK applies the App ID. If you have enabled the App Certificate, you must use the token generated with the `channelName` and `uid`, and the `uid` must be set as 0.

## ◆ setDestChannelInfo()

void io.agora.rtc2.video.ChannelMediaRelayConfiguration.setDestChannelInfo | ( | String | channelName,
|  | ChannelMediaInfo | destInfo
| ) |  |

Sets the information of the destination channel.

If you want to relay the media stream to multiple channels, call this method as many times (at most four).

Parameters

  channelName | The name of the destination channel. Ensure that the value of this parameter is the same as that of the `channelName` member in `destInfo`.
  destInfo | The information of the destination channel: ChannelMediaInfo. It contains the following members: `channelName`: The name of the destination channel. `uid`: ID of the host in the destination channel. The value ranges from 0 to (232-1). To avoid UID conflicts, this uid must be different from any other UIDs in the destination channel. The default value is 0, which means the SDK generates a random UID. `token`: The token for joining the destination channel. It is generated with the `channelName` and `uid` you set in `destInfo`. If you have not enabled the App Certificate, set this parameter as the default value NULL, which means the SDK applies the App ID. If you have enabled the App Certificate, you must use the token generated with the `channelName` and `uid`.

## ◆ removeDestChannelInfo()

void io.agora.rtc2.video.ChannelMediaRelayConfiguration.removeDestChannelInfo | ( | String | channelName | ) |

Removes the destination channel.

Parameters

  channelName | The name of the destination channel.